import { ChangeDetectorRef } from '@angular/core';
import { DisplayDensity } from '../core/utils';
import { IgxCsvExporterService, IgxExcelExporterService } from '../services/index';
import { IgxGridAPIService } from './api.service';
import { IgxGridComponent } from './grid.component';
import { IgxDropDownComponent } from '../drop-down/drop-down.component';
import { IgxColumnHidingComponent } from './column-hiding.component';
import { IgxColumnPinningComponent } from './column-pinning.component';
export declare class IgxGridToolbarComponent {
    gridAPI: IgxGridAPIService;
    cdr: ChangeDetectorRef;
    excelExporter: IgxExcelExporterService;
    csvExporter: IgxCsvExporterService;
    gridID: string;
    filterColumnsPrompt: string;
    private _filterColumnsPrompt;
    readonly defaultDropDownsMaxHeight: string;
    columnHidingDropdown: IgxDropDownComponent;
    columnHidingUI: IgxColumnHidingComponent;
    columnHidingButton: any;
    exportDropdown: IgxDropDownComponent;
    exportButton: any;
    columnPinningDropdown: IgxDropDownComponent;
    columnPinningUI: IgxColumnPinningComponent;
    columnPinningButton: any;
    readonly grid: IgxGridComponent;
    readonly shouldShowExportButton: boolean;
    readonly shouldShowExportExcelButton: boolean;
    readonly shouldShowExportCsvButton: boolean;
    readonly pinnedColumnsCount: number;
    private _displayDensity;
    displayDensity: DisplayDensity | string;
    readonly hostClass: string;
    constructor(gridAPI: IgxGridAPIService, cdr: ChangeDetectorRef, excelExporter: IgxExcelExporterService, csvExporter: IgxCsvExporterService);
    private _positionSettings;
    private _overlaySettings;
    getTitle(): string;
    getExportText(): string;
    getExportExcelText(): string;
    getExportCsvText(): string;
    exportClicked(): void;
    exportToExcelClicked(): void;
    exportToCsvClicked(): void;
    private performExport(exp, exportType);
    toggleColumnHidingUI(): void;
    toggleColumnPinningUI(): void;
}
